#
# spec file for package kmag (Version 0.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake docbook-dsssl-stylesheets docbook_3 fam gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

# Commandline:  --kde2
Name:         kmag
Copyright:    unknown
Group:        X11/KDE/Applications
Summary:      Magnifying glass for the screen
Version:      0.4
Release:      164
Source0:      kmag-0.4.tar.bz2
Patch0: kmag-0.4.dif

%description
Utility that magnifies a part of the screen. This can be useful to
review single pixels as well as to deal with the problem you get
when you use a screen resolution of 2000x1600 on a 14" display and
can't read any text ;-)

Authors:
--------
    Michael Forster <forster@fmi.uni-passau.de>

SuSE series: k2de

%prep
%setup -n kmag-0.4
%patch -p 0 -E

%build
%{?suse_update_config:%{suse_update_config -l -f . }}
make -f Makefile.cvs
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG " ./configure \
  --prefix=/opt/kde2 \
 --mandir=/usr/share/man/ \
 --with-qt-dir=/usr/lib/qt2/ \
  
make

%install
make install

%files
%doc TODO README AUTHORS INSTALL ChangeLog COPYING 
%dir /opt/kde2/share/applnk
%dir /opt/kde2/share/applnk/Applications
%dir /opt/kde2/share/apps/kmag
%dir /opt/kde2/share/icons/locolor/16x16/apps
%dir /opt/kde2/share/icons/locolor/32x32/apps
/opt/kde2/bin/kmag
/opt/kde2/share/applnk/Applications/kmag.desktop
/opt/kde2/share/apps/kmag/kmagui.rc
/opt/kde2/share/icons/locolor/16x16/apps/kmag.png
/opt/kde2/share/icons/locolor/32x32/apps/kmag.png
/usr/share/doc/kmag

%changelog -n kmag
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Tue Aug 07 2001 - adrian@suse.de
- autoconf 2.52 fixes
* Thu Jun 21 2001 - adrian@suse.de
- autoconf 2.50 fixes
- documentation disabled until kde 2.2
* Sun Apr 29 2001 - adrian@suse.de
- fix install path
* Sun Apr 29 2001 - @suse.de
- Spec file created from kmag-0.4.tar.bz2 by autospec
* Sun Apr 29 2001 - @suse.de
- Spec file created from kmag-0.4.tar.bz2 by autospec
* Fri Apr 20 2001 - adrian@suse.de
- New version 0.4
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Tue Feb 20 2001 - adrian@suse.de
- update to 0.3 (KDE 2)
* Sat May 27 2000 - adrian@suse.de
- Added group tag, suse_update_config and new file list
* Sat May 27 2000 - @suse.de
- Spec file created from kmag-0.1.tar.gz by autospec
* Thu Mar 30 2000 - adrian@suse.de
- delete the kbase from neededforbuild
* Thu Nov 04 1999 - bs@suse.de
- removed libgif from neededforbuild
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Thu Apr 08 1999 - kettner@suse.de
- Created spec file from kmag-0.1.tar.gz using autospec script
